#define ISIG	1
#define ICANON	2
#define ECHO	0000010

#define TCSANOW 0
#define TCSADRAIN 1
#define TCSAFLUSH 2

struct termios {
	unsigned int c_iflag;
	unsigned int c_oflag;
	unsigned int c_cflag;
	unsigned int c_lflag;
	unsigned int c_line;
	unsigned int c_cc[32];
	unsigned int __c_ispeed;
	unsigned int __c_ospeed;
};

#define CLOCK_REALTIME 0
#define CLOCK_MONOTONIC 1
#define CLOCK_TAI 11

_PROTOTYPE(extern int nanosleep(struct timespec *duration, struct timespec *rem));
_PROTOTYPE(extern int clock_gettime, (unsigned int clockid, struct timespec *tp));
_PROTOTYPE(extern int clock_settime, (unsigned int clockid, _CONST struct timespec *tp));

#define SEEK_SET 0
#define SEEK_CUR 1
#define SEEK_END 2

_PROTOTYPE(extern _VOID halt, (unsigned int status));
_PROTOTYPE(extern int setsid, (_VOID));
_PROTOTYPE(extern int dup3, (unsigned int oldfd, unsigned int newfd, unsigned int flags));

#endif
